Loading...
Searching...
No Matches
mbedtls_lms_public_t Struct Reference

`#include <lms.h>`

Collaboration diagram for mbedtls_lms_public_t:
[legend]

## Data Fields

mbedtls_lms_parameters_t | private_params
unsigned char | private_T_1_pub_key [MBEDTLS_LMS_M_NODE_BYTES_MAX]
unsigned char | private_have_public_key

## Detailed Description

LMS public context structure.

A LMS public key is the hash output that is the root of the Merkle tree, and the applicable parameter set

The context must be initialized before it is used. A public key must either be imported or generated from a private context.

Definition at line 190 of file lms.h.

## Field Documentation

## private_have_public_key

unsigned char mbedtls_lms_public_t::private_have_public_key

Whether the context contains a public key. Boolean values only.

Definition at line 194 of file lms.h.

## private_params

mbedtls_lms_parameters_t mbedtls_lms_public_t::private_params

Definition at line 191 of file lms.h.

## private_T_1_pub_key

unsigned char mbedtls_lms_public_t::private_T_1_pub_key[MBEDTLS_LMS_M_NODE_BYTES_MAX]

The public key, in the form of the Merkle tree root node.

Definition at line 192 of file lms.h.

The documentation for this struct was generated from the following file:

- lms.h